ParserUtils (Jasper Internal API Documentation)
Keywords: org.apache.jasper.xmlparser.ParserUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.xmlparser
Class ParserUtils

    java.lang.Object
      org.apache.jasper.xmlparser.ParserUtils

public class ParserUtils
extends java.lang.Object

XML parsing utilities for processing web application deployment descriptor and tag library descriptor files. FIXME - make these use a separate class loader for the parser to be used.

Version:
  $Revision: 306044 $ $Date: 2004-08-25 16:56:17 -0400 (Wed, 25 Aug 2004) $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.ClassLoader` | `classLoader` The class loader to use for accessing our XML parser.
`static boolean` | `validating`

Constructor Summary
`ParserUtils()`

Method Summary
`protected TreeNode` | `convert(TreeNode parent, org.w3c.dom.Node node)` Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.
`static ParserUtils` | `createParserUtils(java.lang.ClassLoader parentLoader)` Create (if necessary) and return an instance of ParserUtils that has been loaded by our subordinate class loader (and therefore should have access to the XML parser that is visible to repositories of that class loader).
`TreeNode` | `parseXMLDocument(java.lang.String uri, java.io.InputStream is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Set the class loader used to access our XML parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classLoader

    protected java.lang.ClassLoader classLoader

  The class loader to use for accessing our XML parser.

### validating

    public static boolean validating

Constructor Detail

### ParserUtils

    public ParserUtils()

Method Detail

### parseXMLDocument

    public TreeNode parseXMLDocument(java.lang.String uri,
                                     java.io.InputStream is)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input stream containing the deployment descriptor
  Throws:
    `JasperException` - if an input/output error occurs
    `JasperException` - if a parsing error occurs

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Set the class loader used to access our XML parser.

  Parameters:
    `classLoader` - The new class loader

### convert

    protected TreeNode convert(TreeNode parent,
                               org.w3c.dom.Node node)

  Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.

  Parameters:
    `parent` - The parent TreeNode (if any) for the new TreeNode
    `node` - The XML document Node to be converted

### createParserUtils

    public static ParserUtils createParserUtils(java.lang.ClassLoader parentLoader)

  Create (if necessary) and return an instance of ParserUtils that has been loaded by our subordinate class loader (and therefore should have access to the XML parser that is visible to repositories of that class loader).

  Parameters:
    `parentLoader` - The web application class loader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.